<?php
// Fonctions utilitaires utilisées pour alléger les vues :
// On pourrait essayer de systématiser son emploi.

// Teste si une vue contient une entrée donnée :
function vue_contient($entree) {
  global $VUE;
  return isset($VUE[$entree]);
}

// Affichage protégé et optionnel.
// si l'entrée n'est pas définie, rien n'est affiché.
// Notez que ça peut rendre le code difficile à débugger
function affiche($entree) {
  global $VUE;
  if (vue_contient($entree)) {
    echo htmlspecialchars($VUE[$entree]);
  }
}

// Affichage protégé non optionnel.
// Si l'entrée n'est pas définie, on a une erreur dans les messages.
function afficheToujours($entree) {
  global $VUE;
  echo htmlspecialchars($VUE[$entree]);
}

// Crée un bouton qui déclenchera une action PHP avec comme paramètre 
// une variable ayant une valeur fixée. Voir produitVue.php pour un exemple.
function boutonAction($action, $nom, $valeur,$titre) {?>
  <form method="POST" action="<?php echo $action;?>">
    <input type="hidden" name="<?php echo $nom;?>" 
                         value="<?php echo $valeur;?>" />
    <input type="submit" value="<?php echo $titre;?>"/>
  </form>
<?php }